Zonemaster::Test::Zone(3pm)

NAME
Zonemaster::Test::Zone - module implementing tests of the zone content in DNS, such as SOA and MX records

SYNOPSIS
    my @results = Zonemaster::Test::Zone->all($zone);

METHODS

all($zone)
    Runs the default set of tests and returns a list of log entries made by the tests

translation()
    Returns a reference to a hash with translation data. Used by the builtin translation system.

metadata()
    Returns a reference to a hash, the keys of which are the names of all test methods in the module, and the corresponding values are references to lists with all the tags that the method can use in log entries.

version()
    Returns a version string for the module.

TESTS

zone01($zone)
    Check that master nameserver in SOA is fully qualified.

zone02($zone)
    Verify SOA 'refresh' minimum value.

zone03($zone)
    Verify SOA 'retry' value is lower than SOA 'refresh' value.

zone04($zone)
    Verify SOA 'retry' minimum value.

zone05($zone)
    Verify SOA 'expire' minimum value.

zone06($zone)
    Verify SOA 'minimum' (default TTL) value.

zone07($zone)
    Verify that SOA master is not an alias (CNAME).

zone08($zone)
    Verify that MX records does not resolve to a CNAME.

zone09($zone)
    Verify that there is a target host (MX, A or AAAA) to deliver e-mail for the domain name.